Bug 1914119

Summary: vsphere problem detector operator has no permission to update storages.operator.openshift.io instances
Product: OpenShift Container Platform Reporter: Qin Ping <piqin>
Component: StorageAssignee: Hemant Kumar <hekumar>
Storage sub component: Operators QA Contact: Qin Ping <piqin>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: unspecified CC: aos-bugs, hekumar
Version: 4.7   
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:51:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Qin Ping 2021-01-08 07:32:05 UTC
Description of problem:
vsphere problem detector operator has no permission to update storages.operator.openshift.io instances

How reproducible:
Always

Steps to Reproduce:
1. Install OCP4.7 cluster on vSphere
2. Check the vsphere problem detector logs


Actual results:
There are many logs like:
W0108 07:05:23.571045       1 base_controller.go:217] Updating status of "VSphereProblemDetectorController" failed: storages.operator.openshift.io "cluster" is forbidden: User "system:serviceaccount:openshift-cluster-storage-operator:vsphere-problem-detector-operator" cannot update resource "storages/status" in API group "operator.openshift.io" at the cluster scope
E0108 07:05:23.571132       1 base_controller.go:250] "VSphereProblemDetectorController" controller failed to sync "key", err: storages.operator.openshift.io "cluster" is forbidden: User "system:serviceaccount:openshift-cluster-storage-operator:vsphere-problem-detector-operator" cannot update resource "storages/status" in API group "operator.openshift.io" at the cluster scope
W0108 07:05:45.429584       1 base_controller.go:217] Updating status of "VSphereProblemDetectorController" failed: storages.operator.openshift.io "cluster" is forbidden: User "system:serviceaccount:openshift-cluster-storage-operator:vsphere-problem-detector-operator" cannot update resource "storages/status" in API group "operator.openshift.io" at the cluster scope
E0108 07:05:45.429677       1 base_controller.go:250] "VSphereProblemDetectorController" controller failed to sync "key", err: storages.operator.openshift.io "cluster" is forbidden: User "system:serviceaccount:openshift-cluster-storage-operator:vsphere-problem-detector-operator" cannot update resource "storages/status" in API group "operator.openshift.io" at the cluster scope


Expected results:

Additional info:

Comment 1 Qin Ping 2021-01-08 08:48:43 UTC
cluster version: 4.7.0-0.nightly-2021-01-07-181010

Comment 3 Qin Ping 2021-01-11 09:16:29 UTC
Verified with: 4.7.0-0.nightly-2021-01-10-070949

Comment 6 errata-xmlrpc 2021-02-24 15:51:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633